Qt Reference Documentation

# QItemEditorCreator Class Reference

The QItemEditorCreator class makes it possible to create item editor creator bases without subclassing QItemEditorCreatorBase. More...

     #include <QItemEditorCreator>

Inherits: QItemEditorCreatorBase.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

## Public Functions

| QItemEditorCreator ( const QByteArray & valuePropertyName )

## Reimplemented Public Functions

virtual QWidget * | createWidget ( QWidget * parent ) const
virtual QByteArray | valuePropertyName () const

- 2 public functions inherited from QItemEditorCreatorBase

## Detailed Description

The QItemEditorCreator class makes it possible to create item editor creator bases without subclassing QItemEditorCreatorBase.

QItemEditorCreator is a convenience template class. It uses the template class to create editors for QItemEditorFactory. This way, it is not necessary to subclass QItemEditorCreatorBase.

     QItemEditorCreator<MyEditor> *itemCreator =
         new QItemEditorCreator<MyEditor>("myProperty");

     QItemEditorFactory *factory = new QItemEditorFactory;

The constructor takes the name of the property that contains the editing data. QItemDelegate can then access the property by name when it sets and retrieves editing data. Only use this class if your editor does not define a user property (using the USER keyword in the Q_PROPERTY macro). If the widget has a user property, you should use QStandardItemEditorCreator instead.

See also QItemEditorCreatorBase, QStandardItemEditorCreator, QItemEditorFactory, and Color Editor Factory Example.

## Member Function Documentation

### QItemEditorCreator::QItemEditorCreator ( const QByteArray & valuePropertyName )

Constructs an editor creator object using valuePropertyName as the name of the property to be used for editing. The property name is used by QItemDelegate when setting and getting editor data.

Note that the valuePropertyName is only used if the editor widget does not have a user property defined.

### QWidget * QItemEditorCreator::createWidget ( QWidget * parent ) const`[virtual]`

Reimplemented from QItemEditorCreatorBase::createWidget().

### QByteArray QItemEditorCreator::valuePropertyName () const`[virtual]`

Reimplemented from QItemEditorCreatorBase::valuePropertyName().